# SCPUploadClient (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.xfer.scp
Class SCPUploadClient

    java.lang.Object
      net.schmizz.sshj.xfer.scp.SCPUploadClient

    public final class SCPUploadClient

extends Object

Support for uploading files over a connected link using SCP.

Method Summary
`int` `copy(LocalSourceFile sourceFile, String remotePath)` Upload a local file from `localFile` to `targetPath` on the remote host.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### copy

    public int copy(LocalSourceFile sourceFile,
                    String remotePath)
             throws IOException

  Upload a local file from `localFile` to `targetPath` on the remote host.

  Throws:
    `IOException`

Copyright © 2009-2011. All Rights Reserved.